当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 23 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 升级语言包时出错 求助~
帖子发表于 : 2008-03-23 21:40 
头像

注册: 2008-01-12 13:56
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
tron@tron-laptop:~$ sudo apt-get install -f
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在更正依赖关系... 完成
将会安装下列额外的软件包:
language-pack-zh
下列【新】软件包将被安装:
language-pack-zh
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 147 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B/2399kB 的软件包。
操作完成后,会消耗掉 8647kB 的额外磁盘空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 97171 个文件和目录。)
正在解压缩 language-pack-zh (从 .../language-pack-zh_1%3a8.04+20080317_all.deb) ...
正在替换原软件包中的文件 language-pack-zh-base ...
dpkg:处理 /var/cache/apt/archives/language-pack-zh_1%3a8.04+20080317_all.deb (--unpack)时出错:
正试图覆盖“/usr/share/locale-langpack/zh_CN/LC_MESSAGES/shared-mime-info.mo”,它属于软件包 language-pack-gnome-zh
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
在处理时有错误发生:
/var/cache/apt/archives/language-pack-zh_1%3a8.04+20080317_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-03-23 21:42 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
什么版本?
8.04就等升级


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-03-23 21:55 
头像

注册: 2008-01-12 13:56
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
今天才下的8.04吖 这个跟版本有关系??


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-03-23 21:56 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
开发版问题是多些


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-03-23 22:00 
头像

注册: 2008-01-12 13:56
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
安装语言包的时候 我把SCIM的东西搞了下 难道跟这个有点关系??以前也遇到过这种情况的来着 忘了是怎么解决的了 现在这个不弄好 连显卡驱动都不好装了 要编译deb包 ~~


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-03-23 22:02 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
language-pack-gnome-zh
language-pack-zh-base
language-pack-zh

删掉重装这几个包吧


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-03-23 22:12 
头像

注册: 2008-01-12 13:56
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
这些包怎么删除的?用终端还是在更新管理器 或者是新立得?


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-03-23 22:14 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
要不换个源试试 :D ,今天我用a6live cd装了,没有问题的,cn99的源


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-03-23 22:18 
头像

注册: 2008-01-12 13:56
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
中国的服务器有问题 我直接用的主服务器的 速度有将近1M的
Ubuntu 8.04 LTS Beta正式放出!
装的是这个~~


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-03-24 13:25 

注册: 2006-11-03 8:49
帖子: 116
地址: Halifax
送出感谢: 0 次
接收感谢: 0 次
I have the same problem here. I could not even enter any Chinese now. So have u solved the problem yet? if so, could u share the solution?

BTW, I use main server as the source.

Thanks alot


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-03-24 15:21 
头像

注册: 2007-05-06 2:01
帖子: 889
地址: 特麓村->浦北->五山->罗湖
送出感谢: 2
接收感谢: 0 次
这个是bug,我昨晚遇到,不过我的是language-pack-gnome-en
解决办法是apt-get dist-upgrade
然后 apt-get -f install
大概是这样,我也不知道怎么折腾出来了
不过我升级还是大失败了~~~~~


_________________
Ubuntu 9.04 & Win Xp
------------------------------------------------------
Company: http://www.mazingtech.com
HomePage: http://www.arsui.com


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-03-25 9:24 

注册: 2006-11-03 8:49
帖子: 116
地址: Halifax
送出感谢: 0 次
接收感谢: 0 次
解决方案:
sudo apt-get update

sudo apt-get install language-pack-gnome-zh language-pack-gnome-zh-base -o DPkg::options::="--force-overwrite"

你如果其他语言也出了问题,将language-pack-gnome-zh中的zh换成其他语言的名称即可。

尽量使用主服务器做源。


_________________
I am afraid to forget the link address:
http://wiki.ubuntu.org.cn/Navigation


页首
 用户资料  
 
13 楼 
 文章标题 : 昨天安装的8.04 beta
帖子发表于 : 2008-03-25 12:00 
头像

注册: 2007-05-26 13:13
帖子: 266
送出感谢: 0 次
接收感谢: 0 次
问题和搂住的一样,现在搞的我什么都不能安装了,安装什么软件都说我缺少依赖关系。哎,顺便说一下,我在北方用的是台湾大学的源,以前用这个源都很爽的,可是现在却。。。
用12楼的方法试了一下,不好用,还是没有成功啊,难道只能等待?期待高手指点迷津。。。


_________________
有知者总是相似的,而无知者却各有各的无知。


页首
 用户资料  
 
14 楼 
 文章标题 : 失败的具体过程如下:
帖子发表于 : 2008-03-25 12:04 
头像

注册: 2007-05-26 13:13
帖子: 266
送出感谢: 0 次
接收感谢: 0 次
anddylf@feng:~$ sudo apt-get install language-pack-gnome-zh language-pack-gnome-zh-base -o DPkg::options::="--force-overwrite"
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
language-pack-gnome-zh 已经是最新的版本了。
language-pack-gnome-zh-base 已经是最新的版本了。
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
language-pack-zh-base: 依赖: language-pack-zh (>= 1:8.04+20080301) 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
anddylf@feng:~$ sudo apt-get -f install
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在更正依赖关系... 完成
将会安装下列额外的软件包:
language-pack-zh
下列【新】软件包将被安装:
language-pack-zh
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 5 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B/2399kB 的软件包。
操作完成后,会消耗掉 8647kB 的额外磁盘空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 97933 个文件和目录。)
正在解压缩 language-pack-zh (从 .../language-pack-zh_1%3a8.04+20080317_all.deb) ...
正在替换原软件包中的文件 language-pack-zh-base ...
dpkg:处理 /var/cache/apt/archives/language-pack-zh_1%3a8.04+20080317_all.deb (--unpack)时出错:
正试图覆盖“/usr/share/locale-langpack/zh_CN/LC_MESSAGES/shared-mime-info.mo”,它属于软件包 language-pack-gnome-zh
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
在处理时有错误发生:
/var/cache/apt/archives/language-pack-zh_1%3a8.04+20080317_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
anddylf@feng:~$


_________________
有知者总是相似的,而无知者却各有各的无知。


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2008-03-25 12:14 
头像

注册: 2006-10-25 18:08
帖子: 1582
送出感谢: 0 次
接收感谢: 0 次
language-pack-gnome-zh这个包彻底删除然后继续。更新完成后再慢慢解决这些小问题。我升级的时候碰到的是libbeagle0这个包,删掉之后装libbeagle1就没问题了。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 23 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Google [Bot] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译